%global pypi_name pynspect
%global pypi_version 0.14
%global __python /usr/bin/python3

%if "x%{?python3_pkgversion}" == "x"
%global python3_pkgversion 3
%endif

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        4%{?dist}
Summary:        Python 3 library for filtering, querying or inspecting almost arbitrary data structures

License:        MIT
URL:            https://homeproj.cesnet.cz/git/mentat-ng.git
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
%description
Python library for filtering, querying or inspecting almost arbitrary data
structures.This README file is work in progress, for more information please
consult source code and unit tests.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-ipranges
Requires:	python%{python3_pkgversion}-typedcols
Requires:	python%{python3_pkgversion}-idea-format
BuildRequires:	python%{python3_pkgversion}-devel
Requires:	python%{python3_pkgversion}-ply
BuildRequires:	python%{python3_pkgversion}-ply
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-idea-format


%description -n python%{python3_pkgversion}-%{pypi_name}
Python 3 library for filtering, querying or inspecting almost arbitrary data
structures.This README file is work in progress, for more information please
consult source code and unit tests.


%prep
%setup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%{__python3} setup.py install --skip-build --single-version-externally-managed --root %{buildroot}


%check
# %{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%{python3_sitelib}

